<!DOCTYPE html>
<html>
<head>
  <title>Exam</title>
  <style>
    /* Style the left and right panes */
    #left-pane {
      float: left;
      width: 50%;
      height: 95%;
      background-color: #ffffff;
      text-align: center;
      font-size: 100px;
      line-height: 200px;
      display: flex;
      justify-content: center;
	  border-right: 1px solid #0556a0; /* Add the vertical line */
      align-items: center;
    }
    #right-pane {
      margin-left: 200px;
      height: 100%;
	  width: 50%
      position: relative;
    }
    /* Style the image */
    #uploaded-image {
      max-width: 100%;
      max-height: 80%;
      display: block;
      margin: 0 auto;
    }
    /* Style the image upload form */
    #image-upload-form {
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      z-index: 1;
    }
	#exam_dur_form {
	  position: absolute;
	  bottom: 10%;
	  left: 70%;
	}
    #image-upload {
      display: block;
      margin: 0 auto;
      margin-bottom: 10px;
	  position: absolute;
	  left: 50%;
    }
	textBox::placeholder {
		color: #999;
		font-style: italic;
	}
	    #button {
      position: fixed;
      bottom: 20px;
      left: 50%;
      transform: translateX(-50%);
      background-color: #f6a800;
      color: white;
      font-size: 16px;
      padding: 10px 20px;
      border: none;
      cursor: pointer;
      border-radius: 5px;
    }
    #button:hover {
      background-color: #eea000;
    }
  </style>
</head>
<body>
  <div id="left-pane">
    <div id="current-time"></div>
  </div>
  <div id="right-pane">
    <form id="image-upload-form">
      <input type="file" id="image-upload" accept="image/*">
    </form>
    <img id="uploaded-image">
	<button id="button">Start exam</button>
	<form id="exam_dur_form">
		<label for="exam_dur_input" id="exam_dur_label">Exam duration:</label>
		<input type="number" id="exam_dur_input" name="exam_dur_input">
	</form>
  </div>
  <script>
    /* Get the current time and display it in the left pane */
    function displayCurrentTime() {
	var now = new Date();
	var hours = now.getHours().toString().padStart(2, '0'); // add padding with zeros
	var minutes = now.getMinutes().toString().padStart(2, '0'); // add padding with zeros
	var seconds = now.getSeconds().toString().padStart(2, '0'); // add padding with zeros
	var timeString = hours + ':' + minutes + ':' + seconds;
	document.getElementById('current-time').innerHTML = timeString;
	}
    setInterval(displayCurrentTime, 1000);
    /* Handle image upload and display */
    var imageUploadForm = document.getElementById('image-upload-form');
    var imageUpload = document.getElementById('image-upload');
    var uploadedImage = document.getElementById('uploaded-image');
    imageUpload.addEventListener('change', function() {
      var file = imageUpload.files[0];
      var reader = new FileReader();
      reader.onload = function(event) {
        uploadedImage.src = event.target.result;
      }
      reader.readAsDataURL(file);
      imageUploadForm.style.display = 'none';
    });
    /* Set the height of the right pane to the window height */
    document.getElementById('right-pane').style.height = window.innerHeight + 'px';
    document.getElementById('left-pane').style.height = window.innerHeight + 'px';
	/* Handle button click event */
	var button = document.getElementById('button');
	button.addEventListener('click', function() {
		/* Replace the uploaded image with a text element */
		uploadedImage.style.display = 'none';
		var exam_duration = parseInt(document.getElementById("exam_dur_input").value);
		var textElement1 = document.createElement('div');
		textElement1.style.fontSize = '40px';
		textElement1.style.lineHeight = '40px';
		textElement1.style.textAlign = 'left';
		textElement1.style.position = "absolute";
		textElement1.style.top = "10px";
		textElement1.style.left = "52%";
		textElement1.innerHTML = 'All further dates will be announced over Moodle.'
		var textElement2 = document.createElement('div');
		textElement2.style.fontSize = '40px';
		textElement2.style.lineHeight = '40px';
		textElement2.style.textAlign = 'left';
		textElement2.style.position = "absolute";
		textElement2.style.bottom = "40%";
		textElement2.style.left = "52%";
		textElement2.innerHTML = 'Starting time: ' + getCurrentTime() + '<br>Ending time: ' + getEndTime(exam_duration);
		
		// Get the div element
		const myDiv = document.getElementById("right-pane");
			
		myDiv.appendChild(textElement1);
		myDiv.appendChild(textElement2);
		

		// Create a text box element
		const textBox = document.createElement("textarea");
		textBox.setAttribute("type", "text");
		
		// Style the text box
		textBox.style.padding = "10px";
		textBox.style.border = "1px solid #ccc";
		textBox.style.borderRadius = "5px";
		textBox.style.width = "40%";
		textBox.style.height = "30%";
		textBox.style.position = "absolute";
		textBox.style.whiteSpace = "pre-wrap"; // allow line breaks
		textBox.style.bottom = "10px";
		textBox.style.right = "5%";
		
		//left_pane
		
		// Set the placeholder text
		textBox.setAttribute("placeholder", "Remarks");

		// Add the text box to the div
		myDiv.appendChild(textBox);
		button.style.display = 'none';
		exam_dur_input.style.display = 'none';
		exam_dur_label.style.display = 'none';
	});

	/* Get the current time and return it as a formatted string */
	function getCurrentTime() {
	var now = new Date();
	var hours = now.getHours().toString().padStart(2, '0'); // add padding with zeros
	var minutes = now.getMinutes().toString().padStart(2, '0'); // add padding with zeros
	var seconds = now.getSeconds().toString().padStart(2, '0'); // add padding with zeros
	var timeString = hours + ':' + minutes;
	return timeString;
	}

	/* Get the ending time (90 minutes from the starting time) and return it as a formatted string */
	function getEndTime(exam_duration) {
	var now = new Date();
	var endTime = new Date(now.getTime() + exam_duration	* 60000); // add 90 minutes to the current time
	var hours = endTime.getHours().toString().padStart(2, '0'); // add padding with zeros
	var minutes = endTime.getMinutes().toString().padStart(2, '0'); // add padding with zeros
	var seconds = endTime.getSeconds().toString().padStart(2, '0'); // add padding with zeros
	var timeString = hours + ':' + minutes;
	return timeString;
	}

  </script>
</body>
</html>
